<div>
    <h2 id="page-heading">
        <span jhiTranslate="apiformationApp.client.home.title">Clients</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-client" [routerLink]="['/client/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="apiformationApp.client.home.createLabel">
            Create a new Client
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="clients?.length === 0">
        <span jhiTranslate="apiformationApp.client.home.notFound">No clients found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="clients && clients.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="nom"><span jhiTranslate="apiformationApp.client.nom">Nom</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="prenom"><span jhiTranslate="apiformationApp.client.prenom">Prenom</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="telephone"><span jhiTranslate="apiformationApp.client.telephone">Telephone</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="mail"><span jhiTranslate="apiformationApp.client.mail">Mail</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let client of clients ;trackBy: trackId">
                    <td><a [routerLink]="['/client', client.id, 'view']">{{ client.id }}</a></td>
                    <td>{{ client.nom }}</td>
                    <td>{{ client.prenom }}</td>
                    <td>{{ client.telephone }}</td>
                    <td>{{ client.mail }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/client', client.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/client', client.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(client)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="clients && clients.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
